# Copyright 2019-2022 Alibaba Group Holding Limited.
# SPDX-License-Identifier: GPL-2.0 OR BSD-3-Clause

%define anolis_release	1
%define plugsched_version 1.3

%define _prefix /usr/local

Name:		plugsched
Version:	%{plugsched_version}
Release:	%{anolis_release}%{?dist}
Summary:	The package of plugsched SDK of Anolis23 OS.
Packager:	Tianchen Ding <dtcccc@linux.alibaba.com>

Group:		System Environment/Kernel
License:	GPLv2
URL:		https://gitee.com/anolis/plugsched

Source0:	plugsched.tar.gz

Patch0001: 0001-tools-remove-the-dependency-of-elfutils-devel-static.patch

Requires:	gcc, gcc-c++, make, gcc-plugin-devel, gcc-python-plugin
Requires:	python3, python3-psutil, python3-pyyaml, python3-sh, python3-colorlog, python3-docopt
Requires:	libyaml-devel, systemd, openssl, openssl-devel, platform-python-devel
Requires:	glibc-static, zlib-static, libstdc++-static
Requires:	elfutils-libelf-devel
Requires:	bison, flex, rpm-build, rsync, bc, perl

%description
The package of plugsched-sdk, see https://gitee.com/anolis/plugsched for detail.

%prep
%autosetup -p1

%install
mkdir -p %{buildroot}/%{_prefix}/lib/plugsched
mkdir -p %{buildroot}/%{_prefix}/bin

cp -r ./* %{buildroot}/%{_prefix}/lib/plugsched
ln -s %{_prefix}/lib/plugsched/cli.py %{buildroot}/%{_prefix}/bin/plugsched-cli

%files
%dir %{_prefix}/lib/plugsched
%{_prefix}/lib/plugsched/*
%{_prefix}/bin/plugsched-cli


%changelog
* Fri Jul 28 2023 Tianchen Ding <dtcccc@linux.alibaba.com> - 1.3-1
- Introduce plugsched-sdk package

